FolksDummy.PersonaStore.RemovePersonaMock – folks-dummy Reference Manual

# RemovePersonaMock

## Description:

public delegate int RemovePersonaMock (Persona persona) throws PersonaStoreError

Type of a mock function for Folks.PersonaStore.remove_persona.

See FolksDummy.PersonaStore.set_remove_persona_mock.

## Parameters:

persona | the persona being removed from the store

## Returns:

delay to apply to the remove persona operation (negative and zero delays complete in an idle callback; positive delays complete after that many milliseconds)

## Exceptions:

PersonaStoreError | to be thrown from Folks.PersonaStore.remove_persona

## Since:

0.9.7